> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List of available ratings

> List all ratings across conversations. Sorted by latest.



## OpenAPI

````yaml api-reference/openapi.json get /ratings
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /ratings:
    get:
      tags:
        - ratings
      summary: List all ratings across conversations. Sorted by latest.
      parameters:
        - in: query
          name: only_rated
          description: Optional flag to only fetch ratings which the user has completed.
          schema:
            type: integer
            example: 1
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Rating'
components:
  schemas:
    PaginatedResult:
      type: object
      properties:
        data:
          description: |
            Default count: 100
          type: array
          items: {}
        links:
          type: object
          properties:
            first:
              type: string
            last:
              type: string
            prev:
              type: string
              nullable: true
            next:
              type: string
              nullable: true
        meta:
          type: object
          properties:
            current_page:
              type: integer
            from:
              type: integer
            to:
              type: integer
            last_page:
              type: integer
            per_page:
              type: integer
            total:
              type: integer
            path:
              type: string
            links:
              type: array
              items: {}
    Rating:
      description: >
        User fillable rating of a conversation. Users have 2 days to fill out
        the form.

        If 4 or 5 stars are given, the user will be redirected to a given URL
        (Google) to

        create a public review if configured.
      type: object
      properties:
        id:
          type: integer
          description: Internal ID.
        code:
          description: Unique ID for URL generation.
          type: string
        stars:
          description: Actual rating. Null if not yet rated.
          type: integer
          nullable: true
        comment:
          description: Optional comment.
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````